#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>

#include "io.h"
#include "card_io.h"
#include "music.h"

#define MAX_NOTES       27

int notes[MAX_NOTES]={
  262,349,349,349,392,349,349,392,440,440,
  440,494,349,349,349,349,330,294,262,262,
  262,349,349,349,392,392,349
  };
int temps[MAX_NOTES]={
  1,1,1,1,1,1,1,1,1,1,
  1,1,1,1,1,1,1,1,1,1,
  1,1,1,1,1,1,1
};

int main(void)
{
CLKSEL0 = 0b00010101;   // sélection de l'horloge externe
CLKSEL1 = 0b00001111;   // minimum de 8Mhz
CLKPR = 0b10000000;     // modification du diviseur d'horloge (CLKPCE=1)
CLKPR = 0;              // 0 pour pas de diviseur (diviseur de 1)
MCUCR |= (1<<JTD);	// désactive JTAG pour utilisation de PF4 à PF7
MCUCR |= (1<<JTD);

outputs_init(OUTPUT_PORTB,OUTPUT_PORTC,OUTPUT_PORTD);
init_DAC();

int i,l=0;
for(i=0;i<MAX_NOTES;i++){
  LED_toggle(leds[l]);
  l++; if(l>=MAX_LED) l=0;
  jouer_note(notes[i],temps[i]);
  }
return 0;
}
